Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample Class Reference

## Public Member Functions
| CameraSample ()
| Creates a default sample with a bunch of defaults set.
| CameraSample (double iTop, double iBottom, double iLeft, double iRight)
void | getScreenWindow (double &oTop, double &oBottom, double &oLeft, double &oRight)
double | getFocalLength () const
| get the camera focal length in millimeters.
void | setFocalLength (double iVal)
| set the camera focal length in millimeters.
double | getHorizontalAperture () const
| get the horizontal camera film back in centimeters
void | setHorizontalAperture (double iVal)
| set the horizontal camera film back in centimeters
double | getHorizontalFilmOffset () const
| get the horizontal film back offset in centimeters
void | setHorizontalFilmOffset (double iVal)
| set the horizontal film back offset in centimeters
double | getVerticalAperture () const
| get the vertical camera film back in centimeters
void | setVerticalAperture (double iVal)
| set the vertical camera film back in centimeters
double | getVerticalFilmOffset () const
| get the vertical film back offset in centimeters
void | setVerticalFilmOffset (double iVal)
| set the vertical film back offset in centimeters
double | getLensSqueezeRatio () const
void | setLensSqueezeRatio (double iVal)
double | getOverScanLeft ()
void | setOverScanLeft (double iVal)
double | getOverScanRight () const
void | setOverScanRight (double iVal)
double | getOverScanTop () const
void | setOverScanTop (double iVal)
double | getOverScanBottom () const
void | setOverScanBottom (double iVal)
double | getFStop () const
| get the f-stop (focal length divided by "effective" lens diameter)
void | setFStop (double iVal)
| set the f-stop (focal length divided by "effective" lens diameter)
double | getFocusDistance () const
void | setFocusDistance (double iVal)
double | getShutterOpen () const
| get the frame relative shutter open time in seconds.
void | setShutterOpen (double iVal)
| set the frame relative shutter open time in seconds.
double | getShutterClose () const
| get the frame relative shutter close time in seconds.
void | setShutterClose (double iVal)
| set the frame relative shutter open time in seconds.
double | getNearClippingPlane () const
void | setNearClippingPlane (double iVal)
double | getFarClippingPlane () const
void | setFarClippingPlane (double iVal)
Abc::Box3d | getChildBounds () const
void | setChildBounds (const Abc::Box3d &iBounds)
double | getCoreValue (std::size_t iIndex) const
double | getFieldOfView () const
std::size_t | addOp (FilmBackXformOp iOp)
FilmBackXformOp | getOp (std::size_t iIndex) const
FilmBackXformOp & | operator[] (const std::size_t &iIndex)
const FilmBackXformOp & | operator[] (const std::size_t &iIndex) const
Abc::M33d | getFilmBackMatrix () const
| Returns the concatenated 3x3 film back matrix.
std::size_t | getNumOps () const
std::size_t | getNumOpChannels () const
void | reset ()

## Constructor & Destructor Documentation

## ◆ CameraSample()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::CameraSample | ( | double | iTop,
|  | double | iBottom,
|  | double | iLeft,
|  | double | iRight )

Create a default sample and set the defaults so that they calculate the provided screen window.

## Member Function Documentation

## ◆ getFarClippingPlane()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getFarClippingPlane | ( |  | ) | const
| inline

get the distance from the camera to the far clipping plane in centimeters

## ◆ getFocusDistance()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getFocusDistance | ( |  | ) | const
| inline

get the distance from the camera to the object being focused on in centimeters

## ◆ getLensSqueezeRatio()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getLensSqueezeRatio | ( |  | ) | const
| inline

get the amount the camera's lens compresses the image horizontally (width / height aspect ratio)

## ◆ getNearClippingPlane()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getNearClippingPlane | ( |  | ) | const
| inline

get the distance from the camera to the near clipping plane in centimeters

## ◆ getOverScanBottom()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getOverScanBottom | ( |  | ) | const
| inline

get over scan fractional percentage for the bottom part of the screen window

## ◆ getOverScanLeft()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getOverScanLeft | ( |  | ) |
| inline

get over scan fractional percentage for the left part of the screen window

## ◆ getOverScanRight()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getOverScanRight | ( |  | ) | const
| inline

get over scan fractional percentage for the right part of the screen window

## ◆ getOverScanTop()

double Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::getOverScanTop | ( |  | ) | const
| inline

get over scan fractional percentage for the top part of the screen window

## ◆ setFarClippingPlane()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setFarClippingPlane | ( | double | iVal | ) |
| inline

set the distance from the camera to the near clipping plane in centimeters

## ◆ setFocusDistance()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setFocusDistance | ( | double | iVal | ) |
| inline

set the distance from the camera to the object being focused on in centimeters

## ◆ setLensSqueezeRatio()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setLensSqueezeRatio | ( | double | iVal | ) |
| inline

set the amount the camera's lens compresses the image horizontally (width / height aspect ratio)

## ◆ setNearClippingPlane()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setNearClippingPlane | ( | double | iVal | ) |
| inline

set the distance from the camera to the near clipping plane in centimeters

## ◆ setOverScanBottom()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setOverScanBottom | ( | double | iVal | ) |
| inline

set over scan fractional percentage for the bottom part of the screen window

## ◆ setOverScanLeft()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setOverScanLeft | ( | double | iVal | ) |
| inline

set over scan fractional percentage for the left part of the screen window

## ◆ setOverScanRight()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setOverScanRight | ( | double | iVal | ) |
| inline

set over scan fractional percentage for the right part of the screen window

## ◆ setOverScanTop()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::CameraSample::setOverScanTop | ( | double | iVal | ) |
| inline

get over scan fractional percentage for the top part of the screen window

The documentation for this class was generated from the following files:

- AbcGeom/CameraSample.h
- AbcGeom/CameraSample.cpp